Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
avifile's 7.4 caprices & other video-related tales
View unanswered posts
View posts from last 24 hours

Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message

Joined: 28 Jun 2002
Posts: 430
Location: Naples Italy

PostPosted: Sat Jun 29, 2002 1:34 am    Post subject: avifile's 7.4 caprices & other video-related tales Reply with quote

I run a pretty "usual" Gentoo except for XFS :wink: (still on 2.4.18, not enough time to play). I emerged avifile and it installed with no problems. However, if while streaming a video (Xserver on 24bit) I right-click to manage the "maximize" modes (i.e. the size) the application freezes up and locks the entire X session. Even by killing aviplay (by shifting to a console), while the app goes down my X session is still frozen: I have to kill X too! :cry: The workaround is to press the "M" key to maximize but by doing so you can only get the maximum fullscreen (which made me turn down to 1280x1024 from 1600x1200 since my aging Riva would never make a decent stream at that resolution). I can only relate to a source installation of avifile 7.1 in my *other* distro (slack 8.0) which did not present this problem.
Another video tale: VLC (video lan client) 0.4 failed to compile complaining on a qt lib for applets (I understand it has a kde2 applet but the configure looks at the qt3 dir and thus fails?). I could look inside the pakage and manualy disable the applet support but I got bored ( :oops: ) and simply emerged the earlier version (which is what I was using before, didn't miss anything :) )
Finally, this is not a bug but a straight question: the gentoo drip package was on 8.1 last time I checked but the 8.2 has some very serious updates so I won't emerge till then (just hope my DVDs don't break in the meantime . :wink: ). However, when I tried to compile drip 8.2 with avifile 7.1 (again on that other distro) there were some *huge* dependency problems. On personal contact with one of the drip developers (including configure & make logs) it was made clear that the avifile people had changed their APIs again and that I'd better stick to avifile 6.x to have a working drip. So, unless the 7.4 version got these issues straight, if I try to emerge drip 8.2 it should try to get avifile 6 as a dependency... and the question is, how do I get both drip and avifile 7.4 (with a "parallel" avifile 6 for dependencies lying around on my disk - I don't mind)?
Need to flame people LIVE on IRC? Join #gentoo-otw on freenode!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum